cmake_minimum_required (VERSION 3.0.0)

project (light-lpr-api-demo)

# specify the C++ standard
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED True)

add_executable(DEMO demo.cpp)
add_executable(MGT_DEMO mgt_demo.cpp)

 

link_directories(
	../../lib/
	lib 
)

if (WINDOWS OR WIN32 OR MSVC OR MSYS OR MINGW)
	target_link_libraries(DEMO "../../lib/light-lpr-api-win32"   ws2_32 AdvAPI32)
	target_link_libraries(MGT_DEMO "../../lib/light-lpr-api-win32"   ws2_32 AdvAPI32)
else()
	target_link_libraries(DEMO "light-lpr-api-win32")
	target_link_libraries(MGT_DEMO "light-lpr-api-win32" )
endif()


